| Home | Libraries | People | FAQ | More

##### basic_socket_streambuf::connect (1 of 3 overloads)

Establish a connection.

    basic_socket_streambuf< Protocol, StreamSocketService, Time, TimeTraits, TimerService > * connect(
        const endpoint_type & endpoint);

This function establishes a connection to the specified endpoint.

###### Return Value

`this` if a connection was successfully established, a null pointer otherwise.